本サービスには一部、Googleの支援により翻訳されたコンテンツが含まれます。Googleは、明示または黙示を問わず、市場性、特定目的への適合性、ならびに非侵害の黙示的保証を含む、翻訳の精度、信頼性、正確性に関連するあらゆる点において保証しません。

Kaspersky Labの本Webサイトは、便宜上、Google Translateを搭載した翻訳ソフトウェアを利用して翻訳されています。正確な翻訳となるよう合理的な努力を払ってはおりますが、自動翻訳の正確性は完全ではなく、翻訳者(人間)による翻訳に代わるものとして意図されているものでもありません。翻訳はKaspersky Labの本Webサイトをご利用の皆様の利便性を図るためのものであり、「翻訳結果をそのまま」ご提供するものです。英語からその他言語への翻訳における精度、信頼性、正確性に関しては、明示または黙示を問わず、いかなる保証もなされません。翻訳ソフトウェアのため、コンテンツの一部(画像、動画、フラッシュ等)は正しく翻訳されない場合があります。

KLA10651
VLC Media Playerにおけるコードインジェクションの脆弱性
更新日: 07/05/2018
検出日
?
08/17/2015
危険度
?
警告
説明

VLC Media Playerにはコンテンツの制限がありませんでした。この脆弱性を利用することで、悪意のあるユーザーは任意のコードを注入することができますこの脆弱性は、特別に設計されたURLを介してリモートから悪用される可能性があります。


技術的な詳細

VLC WebインターフェイスのエラーページジェネレータにURL中立化の欠如があります。 MaliciousはスクリプトブロックをURLに追加することでこの脆弱性を悪用する可能性があります。 PoCといくつかの解決策は、元のアドバイザリセクションにリストされているquantumleap勧告で見つけることができます。

影響を受ける製品

2.2.0より前のバージョンのVLC Media Player

解決法

最新バージョンへのアップデート
VLCを取得する

オリジナル勧告

Quantumleap advisory

影響
?
CI 
[?]
関連製品
VLC media player
CVE-IDS
?

CVE-2014-9743


オリジナルへのリンク